test_concepts::HaveOnlyMove Struct Reference

## Public Member Functions

| HaveOnlyMove (const HaveOnlyMove &)=delete
| HaveOnlyMove (HaveOnlyMove &&)=default
HaveOnlyMove & | operator= (const HaveOnlyMove &)=delete
HaveOnlyMove & | operator= (HaveOnlyMove &&)=default

## Detailed Description

Definition at line 38 of file TConcepts.cpp.

## Constructor & Destructor Documentation

## HaveOnlyMove() [1/2]

test_concepts::HaveOnlyMove::HaveOnlyMove | ( | const HaveOnlyMove & |  | ) |

delete

## HaveOnlyMove() [2/2]

test_concepts::HaveOnlyMove::HaveOnlyMove | ( | HaveOnlyMove && |  | ) |

default

## Member Function Documentation

## operator=() [1/2]

HaveOnlyMove& test_concepts::HaveOnlyMove::operator= | ( | const HaveOnlyMove & |  | ) |

delete

## operator=() [2/2]

HaveOnlyMove& test_concepts::HaveOnlyMove::operator= | ( | HaveOnlyMove && |  | ) |

default

The documentation for this struct was generated from the following file:

- test/tests/TConcepts.cpp